#!/usr/bin/env python2.7
import re
import sys
import math

f1= open(sys.argv[1], "r")
out1= open("Output_Interactome", "w")
f1.readline()

genedict = dict()
subdict= dict()

for line in f1:
	newline= line.strip().split("\t")
	#print len(newline)
	R07E4_1 = newline[0]
	C04E12_10 = newline[1]
	daf2 = newline[2]
	rheb1 = newline[3]
	sel2 = newline[4]
	gas1 = newline[5]
	nuc_enc = newline[6]

	if R07E4_1 != '@':
		#print R07E4_1
		str_line = str("R07E4_1")
		if(genedict.has_key(R07E4_1)):
			subdict= genedict[R07E4_1]
			if(subdict.has_key(str_line)):
				subdict[str_line] += 1
			else:
				subdict[str_line] = 1

		else:
			genedict[R07E4_1] = dict()
			genedict[R07E4_1][str_line] = 1 

        if C04E12_10 != '@':
                #print C04E12_10
                str_line = str("C04E12_10")
                if(genedict.has_key(C04E12_10)):
                        subdict= genedict[C04E12_10] 
                        if(subdict.has_key(str_line)):
                                subdict[str_line] += 1       
                        else:
                                subdict[str_line] = 1

                else:
                        genedict[C04E12_10] = dict()
                        genedict[C04E12_10][str_line] = 1

        if daf2 != '@':
                #print daf2
                str_line = str("daf2")
                if(genedict.has_key(daf2)):
                        subdict= genedict[daf2] 
                        if(subdict.has_key(str_line)):
                                subdict[str_line] += 1       
                        else:
                                subdict[str_line] = 1

                else:
                        genedict[daf2] = dict()
                        genedict[daf2][str_line] = 1

        if rheb1 != '@':
                #print rheb1
                str_line = str("rheb1")
                if(genedict.has_key(rheb1)):
                        subdict= genedict[rheb1] 
                        if(subdict.has_key(str_line)):
                                subdict[str_line] += 1       
                        else:
                                subdict[str_line] = 1

                else:
                        genedict[rheb1] = dict()
                        genedict[rheb1][str_line] = 1

        if sel2 != '@':
                #print sel2
                str_line = str("sel2")
                if(genedict.has_key(sel2)):
                        subdict= genedict[sel2] 
                        if(subdict.has_key(str_line)):
                                subdict[str_line] += 1       
                        else:
                                subdict[str_line] = 1

                else:
                        genedict[sel2] = dict()
                        genedict[sel2][str_line] = 1

        if gas1 != '@':
                #print gas1
                str_line = str("gas1")
                if(genedict.has_key(gas1)):
                        subdict= genedict[gas1] 
                        if(subdict.has_key(str_line)):
                                subdict[str_line] += 1       
                        else:
                                subdict[str_line] = 1

                else:
                        genedict[gas1] = dict()
                        genedict[gas1][str_line] = 1

        if nuc_enc != '@':
                #print nuc_enc
                str_line = str("nuc_enc")
                if(genedict.has_key(nuc_enc)):
                        subdict= genedict[nuc_enc] 
                        if(subdict.has_key(str_line)):
                                subdict[str_line] += 1       
                        else:
                                subdict[str_line] = 1

                else:
                        genedict[nuc_enc] = dict()
                        genedict[nuc_enc][str_line] = 1

key_list = genedict.keys()
#print key_list
values_list = genedict.values()
#print values_list

for key in key_list:
	out_str= str(key) + str(genedict[key]) + str("\n")
	out1.writelines(out_str)
	
f1.close()
out1.close()
